
<html>
<head>
<title></title>
<meta name="generator" content="c2html 0.9.5">
<meta name="date" content="2007-03-29T00:32:34+00:00">
</head>

<body bgcolor="#FFFFFF">
<pre width="80">
CFLAGS                =
FFLAGS                =
CPPFLAGS        =
FPPFLAGS        =
LOCDIR          = src/ts/examples/tutorials/
EXAMPLESC       = ex1.c ex2.c ex3.c ex4.c ex5.c ex6.c util2.c ex7.c
EXAMPLESF       = ex1f.F ex2f.F
EXAMPLESFH      = ex2f.h
MANSEC          = <A href="ROOT/docs/manualpages/TS/TS.html#TS">TS</A>

include ${PETSC_DIR}/bmake/common/base

<strong><font color="#FF0000">ex1:</font></strong> ex1.o  chkopts
        -${CLINKER} -o ex1 ex1.o  ${PETSC_TS_LIB}
        ${RM} ex1.o

<strong><font color="#FF0000">ex1f:</font></strong> ex1f.o  chkopts
        -${FLINKER} -o ex1f ex1f.o  ${PETSC_TS_LIB}
        ${RM} ex1f.o

<strong><font color="#FF0000">ex2:</font></strong> ex2.o util2.o chkopts
        -${CLINKER} -o ex2 ex2.o util2.o ${PETSC_TS_LIB}
        ${RM} ex2.o util2.o

<strong><font color="#FF0000">ex2f:</font></strong> ex2f.o util2.o chkopts
        -${FLINKER} -o ex2f ex2f.o util2.o  ${PETSC_TS_LIB}
        ${RM} ex2f.o util2.o

<strong><font color="#FF0000">ex3:</font></strong> ex3.o  chkopts
        -${CLINKER} -o ex3 ex3.o  ${PETSC_TS_LIB}
        ${RM} ex3.o

<strong><font color="#FF0000">ex4:</font></strong> ex4.o  chkopts
        -${CLINKER} -o ex4 ex4.o  ${PETSC_TS_LIB}
        ${RM} ex4.o

<strong><font color="#FF0000">ex5:</font></strong> ex5.o  chkopts
        -${CLINKER} -o ex5 ex5.o  ${PETSC_TS_LIB}
        ${RM} ex5.o

<strong><font color="#FF0000">ex6:</font></strong> ex6.o  chkopts
        -${CLINKER} -o ex6 ex6.o  ${PETSC_TS_LIB}
        ${RM} ex6.o

<strong><font color="#FF0000">ex7:</font></strong> ex7.o  chkopts
        -${CLINKER} -o ex7 ex7.o  ${PETSC_TS_LIB}
        ${RM} ex7.o
<font color="#A020F0">#---------------------------------------------------------------------------------</font>
<strong><font color="#FF0000">runex1:</font></strong>
        -@${MPIRUN} -np 1 ./ex1 -ksp_gmres_cgs_refinement_type refine_always  &gt; ex1_1.tmp 2&gt;&amp;1;          \
           <font color="#4169E1">if</font> (${DIFF} output/ex1_1.out ex1_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex1_1, diffs above"</font>; fi; \
           ${RM} -f ex1_1.tmp

<strong><font color="#FF0000">runex1f:</font></strong>
        -@${MPIRUN} -np 1 ./ex1f -ksp_gmres_cgs_refinement_type refine_always &gt; ex1f_1.tmp 2&gt;&amp;1;          \
           <font color="#4169E1">if</font> (${DIFF} output/ex1f_1.out ex1f_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex1f_1, diffs above"</font>; fi; \
           ${RM} -f ex1f_1.tmp

<strong><font color="#FF0000">runex2f:</font></strong>
        -@${MPIRUN} -np 1 ./ex2f 

<strong><font color="#FF0000">runex6:</font></strong>
        -@${MPIRUN} -np 1 ./ex6 -nox -time_steps_max 4   &gt; ex6_1.tmp 2&gt;&amp;1;          \
           <font color="#4169E1">if</font> (${DIFF} output/ex6_1.out ex6_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex6_1, diffs above"</font>; fi; \
           ${RM} -f ex6_1.tmp

<strong><font color="#FF0000">runex7:</font></strong>
        -@${MPIRUN} -np 1 ./ex7 -snes_smonitor -max_steps 5   &gt; ex7_1.tmp 2&gt;&amp;1;          \
           <font color="#4169E1">if</font> (${DIFF} output/ex7_1.out ex7_1.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex7_1, diffs above"</font>; fi; \
           ${RM} -f ex7_1.tmp

<strong><font color="#FF0000">runex7_2:</font></strong>
        -@${MPIRUN} -np 1 ./ex7 -snes_smonitor -max_steps 5  -snes_mf_operator &gt; ex7_2.tmp 2&gt;&amp;1;          \
           <font color="#4169E1">if</font> (${DIFF} output/ex7_2.out ex7_2.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex7_2, diffs above"</font>; fi; \
           ${RM} -f ex7_2.tmp

<strong><font color="#FF0000">runex7_3:</font></strong>
        -@${MPIRUN} -np 1 ./ex7 -snes_smonitor -max_steps 5  -snes_mf &gt; ex7_3.tmp 2&gt;&amp;1;          \
           <font color="#4169E1">if</font> (${DIFF} output/ex7_3.out ex7_3.tmp) then true; \
           <font color="#4169E1">else</font> echo <font color="#666666">"Possible problem with ex7_3, diffs above"</font>; fi; \
           ${RM} -f ex7_3.tmp


TESTEXAMPLES_C                  = ex1.PETSc runex1 ex1.rm ex6.PETSc runex6 ex6.rm ex7.PETSc runex7 runex7_2 runex7_3 ex7.rm
TESTEXAMPLES_C_X11          = 
TESTEXAMPLES_FORTRAN          = ex1f.PETSc runex1f ex1f.rm ex2f.PETSc runex2f ex2f.rm
TESTEXAMPLES_C_X11_MPIUNI = 
TESTEXAMPLES_13                  = ex2.PETSc ex2.rm ex3.PETSc ex3.rm ex4.PETSc ex4.rm \
                            ex5.PETSc ex5.rm

include ${PETSC_DIR}/bmake/common/test
</pre>
</body>

</html>
